Catmandu::CQLSearchable(3pm)

NAME
Catmandu::CQLSearchable - Optional role for CQL searchable stores

SYNOPSIS
    my $hits  = $store->bag->search(
           cql_query => 'keyword any dna',
           sru_sortkeys  => 'title,,0',
           limit => 100,
    );

METHODS

  search(cql_query => $cql, sru_sortkeys => $sort, ...)
This method behaves exactly like the "search" method in Catmandu::Searchable but with extra "cql_query" and "sru_sortkeys" arguments.

  searcher(cql_query => $cql, sru_sortkeys => $sort, ...)
This method behaves exactly like the "searcher" method in Catmandu::Searchable but with extra "cql_query" and "sru_sortkeys" arguments.

  delete_by_query(cql_query => $cql, ...)
This method behaves exactly like the "delete_by_query" method in Catmandu::Searchable but with an extra "cql_query" argument.

SEE ALSO
Catmandu::Searchable